跳至內容
Influence
Esc
↑↓導覽↵開啟⌘J預覽

探索可用工具

傳回 bearer 憑證可見的工具名稱、說明、權限範圍、確認要求與輸入結構。

GET/api/v1/tools
授權
AuthorizationBearer 權杖 · header必要

使用 Influence 限定權限的 API 金鑰,或受支援的 OAuth 存取權杖。不要將憑證放在網址或工具輸入中。

回應
200

可用工具的描述物件。

toolsobject[]必要
展開屬性
由 object 組成的陣列
annotationsobject必要
展開屬性
destructiveHintboolean必要
idempotentHintboolean必要
openWorldHintboolean必要
readOnlyHintboolean必要
confirmationstring必要
允許的值:nonerequired
descriptionstring必要
長度下限:1 · 長度上限:1024
gatestring必要
允許的值:coregenerative-ai
mutabilitystring必要
允許的值:readexternal-readwriteexternal-write
namestring必要
允許的值:adAuditQuoteadAuditStartadAuditGetadAuditListsearchfetchprofileGetconnectionStatusGetaccountListcampaignGetcampaignListcampaignDraftSavemediaListmediaImportmediaUploadCreatemediaUploadPartmediaUploadCompletemediaUploadGetmediaUploadAbortmediaGetcampaignReviewcampaignReviewGetcampaignReviewExecutecampaignScheduleBatchReviewcampaignScheduleBatchExecutescheduleListbrandContextGetinsightsAccountListinsightsPostListinsightsRefreshcampaignPlanGetcampaignPlanGenerateimageGenerationQuoteimageGenerationStartimageGenerationListintegrationListgroupListintegrationSchemadevtoOrganizationListdevtoTagListdiscordChannelListdiscourseCategoryListdiscourseTagListdiscourseTopicSearchdribbbleTeamListghostAuthorListghostNewsletterListghostTagListghostTierListhashnodePublicationListlemmyCommunitySearchlistmonkListsGetlistmonkTemplateListmattermostChannelListmeweGroupListpinterestBoardListredditSubredditRequirementsGetredditSubredditSearchslackChannelListteamsChannelListtiktokCreatorInfoGetvkDestinationListwhopCompanyListwhopExperienceListwordpressCategoryListwordpressPostTypeListwordpressTagListwrapcastChannelSearchintegrationSchedulePostToolpostsListToolpostSettingsTool
scopesstring[]必要
項目數上限:4
titlestring必要
長度下限:1 · 長度上限:80
inputSchemaobject必要
展開屬性
typestring必要
400

請求無效。不接受查詢參數。工具驗證失敗可能使用工具錯誤封裝格式。

errorobject必要
展開屬性
codestring必要
messagestring必要
retryableboolean必要
401

未提供 bearer 憑證,或憑證無效、已到期。

errorobject必要
展開屬性
codestring必要
messagestring必要
retryableboolean必要
403

憑證缺少必要權限。

errorobject必要
展開屬性
codestring必要
messagestring必要
retryableboolean必要
404

供程式呼叫的 API 或要求的工具無法使用。

errorobject必要
展開屬性
codestring必要
messagestring必要
retryableboolean必要
429

已超過速率限制。此錯誤可重試。

errorobject必要
展開屬性
codestring必要
messagestring必要
retryableboolean必要
503

API 或其上游執行環節無法使用。

errorobject必要
展開屬性
codestring必要
messagestring必要
retryableboolean必要
請求
curl -X GET 'https://influence.so/api/v1/tools' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
回應
{
  "tools": [
    {
      "annotations": {
        "destructiveHint": true,
        "idempotentHint": true,
        "openWorldHint": true,
        "readOnlyHint": true
      },
      "confirmation": "none",
      "description": "string",
      "gate": "core",
      "mutability": "read",
      "name": "adAuditQuote",
      "scopes": [
        "integrations:read"
      ],
      "title": "string",
      "inputSchema": {
        "type": "object",
        "property1": "string",
        "property2": "string"
      },
      "property1": "string",
      "property2": "string"
    }
  ],
  "property1": "string",
  "property2": "string"
}